core::TLSService Class Reference
Inheritance diagram for core::TLSService:
[legend]
Collaboration diagram for core::TLSService:
[legend]

## Public Member Functions

| TLSService (TLSServerSocket &server)
Public Member Functions inherited from core::Service
| Service ()
void | removeFromSessionList (Session *session)
virtual void | sessionErrorHandler (std::string errorString, Session *session)
virtual Session * | getSocketAccept (EPoll &epoll)
void | output (Session *session) override
| Output the consoles array to the console.
Public Member Functions inherited from core::Command
virtual bool | check (std::string request)
virtual int | processCommand (std::string request, Session *session, std::stringstream &data)
void | setName (std::string name)
std::string | getName ()

## Public Attributes

SSL_CTX * | ctx
Public Attributes inherited from core::Service
std::vector< Session * > | sessions
CommandList | commands
Public Attributes inherited from core::Object
std::string | name
std::string | tag

The documentation for this class was generated from the following files:

- /home/bradarant/barant/ServerCore/TLSService.h
- /home/bradarant/barant/ServerCore/TLSService.cpp